import { NavigationItemInterface, PluginInterface } from '../lib/interface';
import { NavigationSection, Plugin } from '../lib/utility';
export default class NavigationDirectives extends Plugin implements PluginInterface {
    getTypes(buildForType?: string): NavigationItemInterface[];
    getNavigations(buildForType?: string): NavigationSection[];
}
